%Lotka-Volterra modell

global a c x0 y0
%paraméterek
a=1;
c=0; %nyúlfarm
%kezdeti értékek
x0 = 3;
y0 = 0.5;

%differenciálegyenlet
function dy=odefun(y,t)
global a c
dy=y;
dy(1) = a*y(1) - y(1)*y(2) + c;
dy(2) = y(1)*y(2) - y(2);
endfunction

%megoldás
T = [0:0.1:20]';
Y = lsode(@odefun,[x0,y0],T);
figure
plot(T,Y(:,1),'-', T,Y(:,2),'-');
legend('x','y');
figure
plot(Y(:,1),Y(:,2));

