%Lotka-Volterra modell

global s r b x0 y0
%paraméterek
s=10;
r=28; %eső erőssége
b=1; %B=1: vizikerék
%kezdeti értékek
x0 = 1;
y0 = 30;
z0 = 1;

%differenciálegyenlet
function dy=odefun(y,t)
global s r b
dy=y;
dy(1) = s*(y(2)-y(1));
dy(2) = r*y(1)-y(2)-y(1)*y(3);
dy(3) = -b*y(3)+y(1)*y(2);
endfunction

%megoldás
T = [0:0.01:25]';
Y = lsode(@odefun,[x0,y0,z0],T);
Y2 = lsode(@odefun,[x0,y0+1,z0],T);
figure
plot(T,Y(:,1),'-', T,Y2(:,1),'-');
legend('x','y');
figure
plot3(Y(:,1),Y(:,2),Y(:,3),'-', Y2(:,1),Y2(:,2),Y2(:,3),'-');

